Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
PSI
PSI API
CSI
OSI
xSI
Vulnerabilities
Programs
Open Discussions
My Threads
Create Thread
Statistics
About

Forum Thread: Program PHP 5.3.1.0

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
PSI

This thread has been marked as locked.
GMSTONE Program PHP 5.3.1.0
Member 24th Aug, 2013 03:58
Ranking: 0
Posts: 8
User Since: 11th Nov, 2012
System Score: N/A
Location: US
PHP 5.3.x

System is: Windows XP Pro 32 bit SP3 with all MS updates thru 8/19/13. Secunia PSI v 3.0.0.6005 reports the installed version to be 5.3.1.0 and v5.3.27 is the secure version. When I Click to update Secunia takes me to:

http://windows.php.net/download/

This web page list numerous version of PHP but none are v5.3.27. Does anyone know which version should be downloaded from this site, if any?

MehulBhai RE: Program PHP 5.3.1.0
Member 24th Aug, 2013 09:19
Score: 36
Posts: 12
User Since: 17th Jul 2011
System Score: N/A
Location: IN
When you browse http://windows.php.net/download/
and the page opens scroll down and your version is still available for download.
Was this reply relevant?
+0
-0
GMSTONE RE: Program PHP 5.3.1.0
Member 25th Aug, 2013 03:43
Score: 0
Posts: 8
User Since: 11th Nov 2012
System Score: N/A
Location: US

Which version of the Installer should be used? Non Thread safe or the Thread Safe?

VC9 x86 Non Thread Safe (2013-Jul-10 21:56:49)
Zip [16.24MB]
sha1: 78ed5e961ce7018042d849361b61b7737c535c2a
Installer [45.74MB]
sha1: 8517e13a938801b3c2205be48d11bb592cfdea52
Debug Pack [8.36MB]
sha1: 67caece3a0772c0d461729501f2709c95abc97f5

VC9 x86 Thread Safe (2013-Jul-10 21:56:58)

Zip [16.38MB]
sha1: feac749ce21db18548982082c94892f8b5bd49e0
Installer [45.86MB]
sha1: b6545b011f76217e3e651c3be801302a4f772192
Debug Pack [8.78MB]
sha1: c4603f34e31327545c6270440f3ebae188f205ca
Was this reply relevant?
+0
-0
mogs RE: Program PHP 5.3.1.0
Expert Contributor 25th Aug, 2013 04:13
Score: 2265
Posts: 6,266
User Since: 22nd Apr 2009
System Score: 100%
Location: UK
@GMSTONE
It's beyond my understanding....but I did find the following, which may be of use to you :-
Installing PHP (5.3 currently) on Windows
Now for thread safe and non thread safe, it stems from the different architecture of Windows being a thread to processor model instead of process to processor model in Unix/Linux systems. Apache will require thread safe binaries for modules, while CGI uses and benefits from non thread safe binaries. The reason for this, Apache modules are threaded from a single executable, while CGI launches an executable for every request.

So which version to download? Well are you going to use Apache or IIS? Apache module or CGI? Apache module: VC6 Tread Safe, Apache CGI: VC6 Non Thread Safe. For IIS we are going to use FastCGI; VC9 Non Thread Safe will work fine for our needs. When downloading get the ZIP archive.

Further reading here :-

http://www.sitepoint.com/forums/showthread.php?643...(5-3-currently)-on -Windows&p=4412361#post4412361

--
Was this reply relevant?
+3
-3
MehulBhai RE: Program PHP 5.3.1.0
Member 25th Aug, 2013 08:23
Score: 36
Posts: 12
User Since: 17th Jul 2011
System Score: N/A
Location: IN
All the details are there on the site itself.
Was this reply relevant?
+2
-0

This thread has been marked as locked.


 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability